Create file
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/rag/inbound/http.go`.
/v1/me/filesRequires an authenticated tenant principal. Generated from the production route registered in internal/features/rag/inbound/http.go.
Authorization
bearerAuth Engine-issued API key or tenant-signed JWT.
In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/me/files" \ -F file="string"{}List own accessible uploads
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/rag/inbound/http.go`.
Get own uploaded-file storage
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/rag/inbound/http.go`.